import type { IO } from "fp-ts/lib/IO";

export interface Logger {
  log: (message: string) => IO<void>;
}

export const ConsoleLogger: Logger = {
  log: (message: string) => () =>
    console.log(`[${new Date().toUTCString()}] ` + message),
};
